#include <bits/stdc++.h>
using namespace std;
typedef long long ll;
int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    ll t;
    cin >> t;
    while(t--){
        ll n, m;
        cin >> n >> m;
        if(n != m){
            cout << -1 << endl;
        }
        else{
            for(ll i = 0; i < n; i++){
                for(ll j = 0; j < n; j++){
                    if(i + j >= n - 1){
                        cout << 1 << " ";
                    }
                    else{
                        cout << 0 << " ";
                    }

                }
                cout << endl;

            }


        }

    }
}